﻿<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <style type="text/css">
        .btn-estilo {
            display: inline-block;
            padding: 10px 20px;
            font-size: 16px;
            text-align: center;
            text-decoration: none;
            cursor: pointer;
            border: 2px solid #3498db;
            border-radius: 5px;
            color: #3498db;
            background-color: #ffffff;
            transition: background-color 0.3s ease, color 0.3s ease;
        }

            .btn-estilo:hover {
                background-color: #3498db;
                color: #ffffff;
            }

        .input-estilo {
            width: 200px;
            padding: 10px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            box-sizing: border-box;
            font-size: 14px;
        }

            .input-estilo:focus {
                border-color: #3498db;
                box-shadow: 0 0 5px rgba(52, 152, 219, 0.5);
            }

        .label-estilo {
            font-size: 16px;
            color: #333;
            margin-bottom: 5px;
            display: block;
        }
    </style>
    <title>Login Page</title>
</head>
<body>
    <form runat="server">
        <div class="container mt-5">
            <div class="row justify-content-center">
                <div class="col-md-6">
                    <div class="card" style="text-align: center;">
                        <div class="card-header">
                            <h2>Iniciar sesión</h2>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label class="label-estilo" for="txtUsername">Nombre de usuario:</label>
                                <input class="input-estilo" type="email" ID="txtUsername" runat="server" CssClass="form-control">
                            </div>
                            <div class="form-group">
                                <label class="label-estilo" for="txtPassword">Contraseña:</label>
                                <input class="input-estilo" type="password" ID="txtPassword" runat="server" TextMode="Password" CssClass="form-control">
                            </div>
                            <div class="form-group text-center">
                                <br />
                                <button type="button" class="btn-estilo" ID="btnLogin" runat="server" OnClick="Validar()" CssClass="btn btn-primary" ValidationGroup="loginGroup">Validar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Modal -->
        <div class="modal fade" id="errorModal" tabindex="-1" role="dialog" aria-labelledby="errorModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="errorModalLabel">Error</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body" id="modalMessage">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal" onclick="hideModal()">Cerrar</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade" id="loginModal" tabindex="-1" role="dialog" aria-labelledby="loginModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="loginModalLabel">Login</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body" id="loginModalMessage">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal" onclick="hideModalLogin()">Cerrar</button>
                    </div>
                </div>
            </div>
        </div>
    </form>

    <script type="text/javascript">
        function Validar() {
            var username = document.getElementById("txtUsername").value;
            var password = document.getElementById("txtPassword").value;

            if (username === '' && password === '') {
                showModal("Por favor, complete ambos campos.");
                return false;
            } else if (password === '') {
                showModal("Por favor, complete la contraseña.");
                return false;
            } else if (username === '') {
                showModal("Por favor, complete el usuario.");
                return false;
            }

            $.ajax({
                type: "GET",
                url: '/Home/Login?user=' + username + '&pass=' + password,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (data) {
                    showModalLogin(data);
                },
                error: function (data) {
                    showModal("Hubo un problema al cambiar de estado el dato.");
                }
            });

            return true;
        }

        function showModal(message) {
            document.getElementById("modalMessage").innerText = message;
            $('#errorModal').modal('show');
        }

        function hideModal() {
            $('#errorModal').modal('hide');
        }

        function showModalLogin(message) {
            document.getElementById("loginModalMessage").innerText = message;
            $('#loginModal').modal('show');
        }

        function hideModalLogin() {
            $('#loginModal').modal('hide');
        }
    </script>
</body>
</html>
